﻿Imports System.Collections.ObjectModel
Imports C1.WPF.FlexGrid

Class MainWindow

    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

        C1FlexGrid1.ItemsSource = Data.GetCustomerList(25)

        C1FlexGrid1.CellFactory = New CustomCellFactory

    End Sub

    Private Sub Button1_Click(sender As System.Object, e As System.Windows.RoutedEventArgs)
        C1FlexGrid1.ItemsSource = Data.GetCustomerList(25)
    End Sub
End Class

Public Class CustomCellFactory
    Inherits CellFactory

    Public Overrides Sub CreateCellContent(grid As C1.WPF.FlexGrid.C1FlexGrid, bdr As System.Windows.Controls.Border, rng As C1.WPF.FlexGrid.CellRange)
        MyBase.CreateCellContent(grid, bdr, rng)

        If rng.Column = 2 Then
            If grid(rng.Row, rng.Column) = "Japan" Then
                bdr.Background = New SolidColorBrush(Colors.LimeGreen)
            ElseIf grid(rng.Row, rng.Column) = "India" Then
                bdr.Background = New SolidColorBrush(Colors.MediumVioletRed)
            ElseIf grid(rng.Row, rng.Column) = "United States" Then
                bdr.Background = New SolidColorBrush(Colors.Yellow)
            ElseIf grid(rng.Row, rng.Column) = "United Kingdom" Then
                bdr.Background = New SolidColorBrush(Colors.Gold)
            End If
        End If

    End Sub
End Class


