﻿Imports System.Collections.ObjectModel

Public Class Data

    Shared _rnd As Random = New Random()
    Shared _firstNames As String() = "Andy|Ben|Charlie|Dan|Fred|Jack|Karl|Larry|Mark|Noah|Oprah|Paul|Rich|Steve|Vic|Xavier|Zeb".Split("|")
    Shared _countries As String() = "China|India|United States|Russia|Japan|Mexico|Germany|France|United Kingdom|Italy".Split("|")

    Shared Function GetString(ByVal arr As String()) As String
        Return arr(_rnd.Next(arr.Length))
    End Function

    Shared Function GetCustomerList(ByVal count As Integer) As ObservableCollection(Of Customer)
        Dim list As New ObservableCollection(Of Customer)
        For i As Integer = 0 To count
            list.Add(GetCustomer(i))
        Next
        Return list
    End Function

    Public Shared Function GetCustomer(ByVal id As Integer) As Customer
        Dim cust As New Customer()
        cust.Id = id
        cust.Name = GetString(_firstNames)
        cust.Country = GetString(_countries)

        Return cust
    End Function

End Class
